package com.usoft.fin.grpc.bl.entity.message;

/**
 * 消息实体
 * @author hyy
 * @date 2018-08-29 18:42
 */
public class MessageModel {
    /**
     * 消息类型
     */
    private String type;
    /**
     * 消息内容
     */
    private String content;
    /**
     * 备注
     */
    private String remark;
    /**
     * 来源id
     */
    private Long sourceId;
    /**
     * 消息接收者uu
     */
    private Long receiverUu;
    /**
     * 消息接收者企业uu
     */
    private Long receiverEnuu;
    /**
     * 消息发送者
     */
    private Long senderUu;
    /**
     * 消息发送者企业uu
     */
    private Long senderEnuu;
    /**
     * 来源应用
     */
    private String producerApp;
    /**
     * 消费类型(所有应用共享："PUBLIC",单个应用独享："SINGLE",多个应用共享："MULTI")
     */
    private String consumerType;
    /**
     * <pre>
     * 推送方式类型
     * 邮件、短信、IM："MAIL_AND_SM_AND_IM"
     * 邮件、短信："MAIL_AND_SM"
     * 邮件、IM:"MAIL_AND_IM"
     * 短信、IM:"SM_AND_IM"
     * 邮件:"MAIL"
     * 短信:"SM"
     * IM:"IM"
     * 不发送:"DONT_SEND"
     * </pre>
     */
    private String smsType;
    /**
     * 邮件模板id
     */
    private String mailTemplate;
    /**
     * 短息模板id
     */
    private String smTemplate;
    /**
     * 接收应用(以","拼接应用名称)
     */
    private String consumerApp;

    /**
     * 询价方信息
     */
    private String buyerName;

    /**
     * 供应商信息
     */
    private String vendName;

    /**
     * 型号
     */
    private String cmpCode;

    public String getBuyerName() {
        return buyerName;
    }

    public void setBuyerName(String buyerName) {
        this.buyerName = buyerName;
    }

    public String getVendName() {
        return vendName;
    }

    public void setVendName(String vendName) {
        this.vendName = vendName;
    }

    public String getCmpCode() {
        return cmpCode;
    }

    public void setCmpCode(String cmpCode) {
        this.cmpCode = cmpCode;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public Long getReceiverUu() {
        return receiverUu;
    }

    public void setReceiverUu(Long receiverUu) {
        this.receiverUu = receiverUu;
    }

    public Long getReceiverEnuu() {
        return receiverEnuu;
    }

    public void setReceiverEnuu(Long receiverEnuu) {
        this.receiverEnuu = receiverEnuu;
    }

    public Long getSenderUu() {
        return senderUu;
    }

    public void setSenderUu(Long senderUu) {
        this.senderUu = senderUu;
    }

    public Long getSenderEnuu() {
        return senderEnuu;
    }

    public void setSenderEnuu(Long senderEnuu) {
        this.senderEnuu = senderEnuu;
    }

    public String getProducerApp() {
        return producerApp;
    }

    public void setProducerApp(String producerApp) {
        this.producerApp = producerApp;
    }

    public String getConsumerType() {
        return consumerType;
    }

    public void setConsumerType(String consumerType) {
        this.consumerType = consumerType;
    }

    public String getSmsType() {
        return smsType;
    }

    public void setSmsType(String smsType) {
        this.smsType = smsType;
    }

    public String getMailTemplate() {
        return mailTemplate;
    }

    public void setMailTemplate(String mailTemplate) {
        this.mailTemplate = mailTemplate;
    }

    public String getSmTemplate() {
        return smTemplate;
    }

    public void setSmTemplate(String smTemplate) {
        this.smTemplate = smTemplate;
    }

    public String getConsumerApp() {
        return consumerApp;
    }

    public void setConsumerApp(String consumerApp) {
        this.consumerApp = consumerApp;
    }

    public Long getSourceId() {
        return sourceId;
    }

    public void setSourceId(Long sourceId) {
        this.sourceId = sourceId;
    }
}
